Loading...
Searching...
No Matches
gridfire_mod::gridfire Type Reference
Collaboration diagram for gridfire_mod::gridfire:
[legend]

## Public Member Functions

procedure | gff_init (self)
procedure | gff_free (self)
procedure | register_species (self, species_list)
procedure | setup_policy (self, policy_name, abundances)
procedure | setup_solver (self, solver_name)
procedure | evolve (self, y_in, t, rho, dt, y_out, energy, dedt, dedrho, nu_e_loss, nu_flux, mass_lost, ierr)
procedure | get_last_error (self)

## Public Attributes

type(c_ptr) | ctx = c_null_ptr
integer(c_size_t) | num_species = 0

## Member Function/Subroutine Documentation

## evolve()

procedure gridfire_mod::gridfire::evolve | ( | class(gridfire), intent(in) | self,
|  | real(c_double), dimension(:), intent(in) | y_in,
|  | real(c_double), value | t,
|  | real(c_double), value | rho,
|  | real(c_double), value | dt,
|  | real(c_double), dimension(:), intent(out) | y_out,
|  | real(c_double), intent(out) | energy,
|  | real(c_double), intent(out) | dedt,
|  | real(c_double), intent(out) | dedrho,
|  | real(c_double), intent(out) | nu_e_loss,
|  | real(c_double), intent(out) | nu_flux,
|  | real(c_double), intent(out) | mass_lost,
|  | integer, intent(out) | ierr
| ) |  |

## get_last_error()

procedure gridfire_mod::gridfire::get_last_error | ( | class(gridfire), intent(in) | self | ) |

## gff_free()

procedure gridfire_mod::gridfire::gff_free | ( | class(gridfire), intent(inout) | self | ) |

## gff_init()

procedure gridfire_mod::gridfire::gff_init | ( | class(gridfire), intent(out) | self | ) |

## register_species()

procedure gridfire_mod::gridfire::register_species | ( | class(gridfire), intent(inout) | self,
|  | character(len=*), dimension(:), intent(in) | species_list
| ) |  |

## setup_policy()

procedure gridfire_mod::gridfire::setup_policy | ( | class(gridfire), intent(in) | self,
|  | character(len=*), intent(in) | policy_name,
|  | real(c_double), dimension(:), intent(in) | abundances
| ) |  |

## setup_solver()

procedure gridfire_mod::gridfire::setup_solver | ( | class(gridfire), intent(in) | self,
|  | character(len=*), intent(in) | solver_name
| ) |  |

## Member Data Documentation

## ctx

type(c_ptr) gridfire_mod::gridfire::ctx = c_null_ptr

## num_species

integer(c_size_t) gridfire_mod::gridfire::num_species = 0

The documentation for this type was generated from the following file:

- src/extern/fortran/gridfire_mod.f90